Page MenuHomePhabricator

Make llvm-as --help great again
ClosedPublic

Authored by serge-sans-paille on Apr 12 2019, 2:43 AM.

Details

Summary

This is a follow-up to https://reviews.llvm.org/D60411, but for llvm-as.

New output:

OVERVIEW: llvm .ll -> .bc assembler

USAGE: llvm-as [options] <input .llvm file>

OPTIONS:

Generic Options:

  -help                        - Display available options (-help-hidden for more)
  -help-list                   - Display list of available options (-help-list-hidden for more)
  -version                     - Display the version of this program

llvm-as Options:

  -data-layout=<layout-string> - data layout string to use
  -disable-output              - Disable output
  -f                           - Enable binary output on terminals
  -module-hash                 - Emit module hash
  -o=<filename>                - Override output filename

Diff Detail

Repository
rL LLVM

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptApr 12 2019, 2:43 AM

Without category filtered:

OVERVIEW: llvm .ll -> .bc assembler

USAGE: llvm-as [options] <input .llvm file>

OPTIONS:

Color Options:

  -color                            - Use colors in output (default=autodetect)

General options:

  -cost-kind=<value>                - Target cost kind
    =throughput                     -   Reciprocal throughput
    =latency                        -   Instruction latency
    =code-size                      -   Code size
  -safepoint-ir-verifier-print-only - 
  -verify-region-info               - Verify region info (time consuming)

Generic Options:

  -help                             - Display available options (-help-hidden for more)
  -help-list                        - Display list of available options (-help-list-hidden for more)
  -version                          - Display the version of this program

llvm-as Options:

  -data-layout=<layout-string>      - data layout string to use
  -disable-output                   - Disable output
  -f                                - Enable binary output on terminals
  -module-hash                      - Emit module hash
  -o=<filename>                     - Override output filename

Including test case

I don't really know much about llvm-as. Are all the filtered-out options irrelevant? In particular -color seems like it might be relevant.

@jhenderson I've added a few potential reviewers based on the file history.

@jhenderson , @ddunbar : I've checked the callgraph of llvm-as, and none of theses flags are actually reachable:

Color Options:

  -color                            - Use colors in output (default=autodetect)

General options:

  -cost-kind=<value>                - Target cost kind
    =throughput                     -   Reciprocal throughput
    =latency                        -   Instruction latency
    =code-size                      -   Code size
  -safepoint-ir-verifier-print-only - 
  -verify-region-info               - Verify region info (time consuming)
jhenderson accepted this revision.May 22 2019, 6:03 AM

Great! LGTM.

This revision is now accepted and ready to land.May 22 2019, 6:03 AM
Closed by commit rL361750: Make llvm-as --help great again (authored by serge_sans_paille, committed by ). · Explain WhyMay 27 2019, 1:22 AM
This revision was automatically updated to reflect the committed changes.